function numotgts();


%     *    DBT, A Matlab Toolbox for Radar Signal Processing    *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
%    Start                : xxxxx NNNNN (nnnn).
%    Latest change: $Date: 2000/10/16 15:39:23 $ $Author: svabj $.
%    $Revision: 1.2 $
% *****************************************************************************

root = findobj('Tag','maingui');
tgtCnt=str2num(get(findobj(root,'Tag','Num Of Tgts'),'String'));

if isempty(tgtCnt)
  tgtCnt = 6;
end %if

switch (tgtCnt)
  case 0,
    set(findobj(root,'Tag','Tgt1-Txt'),'visible','off');
    set(findobj(root,'Tag','Tgt2-Txt'),'visible','off');
    set(findobj(root,'Tag','Tgt3-Txt'),'visible','off');
    set(findobj(root,'Tag','Tgt4-Txt'),'visible','off');
    set(findobj(root,'Tag','Tgt5-Txt'),'visible','off');
    set(findobj(root,'Tag','Tgt6-Txt'),'visible','off');
    set(findobj(root,'Tag','TgtType-1'),'visible','off');
    set(findobj(root,'Tag','TgtType-2'),'visible','off');
    set(findobj(root,'Tag','TgtType-3'),'visible','off');
    set(findobj(root,'Tag','TgtType-4'),'visible','off');
    set(findobj(root,'Tag','TgtType-5'),'visible','off');
    set(findobj(root,'Tag','TgtType-6'),'visible','off');
    set(findobj(root,'Tag','TgtVel-1'),'visible','off');
    set(findobj(root,'Tag','TgtVel-2'),'visible','off');
    set(findobj(root,'Tag','TgtVel-3'),'visible','off');
    set(findobj(root,'Tag','TgtVel-4'),'visible','off');
    set(findobj(root,'Tag','TgtVel-5'),'visible','off');
    set(findobj(root,'Tag','TgtVel-6'),'visible','off');
    set(findobj(root,'Tag','TgtPwr-1'),'visible','off');
    set(findobj(root,'Tag','TgtPwr-2'),'visible','off');
    set(findobj(root,'Tag','TgtPwr-3'),'visible','off');
    set(findobj(root,'Tag','TgtPwr-4'),'visible','off');
    set(findobj(root,'Tag','TgtPwr-5'),'visible','off');
    set(findobj(root,'Tag','TgtPwr-6'),'visible','off');
  case 1,
    set(findobj(root,'Tag','Tgt1-Txt'),'visible','on');
    set(findobj(root,'Tag','Tgt2-Txt'),'visible','off');
    set(findobj(root,'Tag','Tgt3-Txt'),'visible','off');
    set(findobj(root,'Tag','Tgt4-Txt'),'visible','off');
    set(findobj(root,'Tag','Tgt5-Txt'),'visible','off');
    set(findobj(root,'Tag','Tgt6-Txt'),'visible','off');
    set(findobj(root,'Tag','TgtType-1'),'visible','on');
    set(findobj(root,'Tag','TgtType-2'),'visible','off');
    set(findobj(root,'Tag','TgtType-3'),'visible','off');
    set(findobj(root,'Tag','TgtType-4'),'visible','off');
    set(findobj(root,'Tag','TgtType-5'),'visible','off');
    set(findobj(root,'Tag','TgtType-6'),'visible','off');
    set(findobj(root,'Tag','TgtVel-1'),'visible','on');
    set(findobj(root,'Tag','TgtVel-2'),'visible','off');
    set(findobj(root,'Tag','TgtVel-3'),'visible','off');
    set(findobj(root,'Tag','TgtVel-4'),'visible','off');
    set(findobj(root,'Tag','TgtVel-5'),'visible','off');
    set(findobj(root,'Tag','TgtVel-6'),'visible','off');
    set(findobj(root,'Tag','TgtPwr-1'),'visible','on');
    set(findobj(root,'Tag','TgtPwr-2'),'visible','off');
    set(findobj(root,'Tag','TgtPwr-3'),'visible','off');
    set(findobj(root,'Tag','TgtPwr-4'),'visible','off');
    set(findobj(root,'Tag','TgtPwr-5'),'visible','off');
    set(findobj(root,'Tag','TgtPwr-6'),'visible','off');
  case 2,
    set(findobj(root,'Tag','Tgt1-Txt'),'visible','on');
    set(findobj(root,'Tag','Tgt2-Txt'),'visible','on');
    set(findobj(root,'Tag','Tgt3-Txt'),'visible','off');
    set(findobj(root,'Tag','Tgt4-Txt'),'visible','off');
    set(findobj(root,'Tag','Tgt5-Txt'),'visible','off');
    set(findobj(root,'Tag','Tgt6-Txt'),'visible','off');
    set(findobj(root,'Tag','TgtType-1'),'visible','on');
    set(findobj(root,'Tag','TgtType-2'),'visible','on');
    set(findobj(root,'Tag','TgtType-3'),'visible','off');
    set(findobj(root,'Tag','TgtType-4'),'visible','off');
    set(findobj(root,'Tag','TgtType-5'),'visible','off');
    set(findobj(root,'Tag','TgtType-6'),'visible','off');
    set(findobj(root,'Tag','TgtVel-1'),'visible','on');
    set(findobj(root,'Tag','TgtVel-2'),'visible','on');
    set(findobj(root,'Tag','TgtVel-3'),'visible','off');
    set(findobj(root,'Tag','TgtVel-4'),'visible','off');
    set(findobj(root,'Tag','TgtVel-5'),'visible','off');
    set(findobj(root,'Tag','TgtVel-6'),'visible','off');
    set(findobj(root,'Tag','TgtPwr-1'),'visible','on');
    set(findobj(root,'Tag','TgtPwr-2'),'visible','on');
    set(findobj(root,'Tag','TgtPwr-3'),'visible','off');
    set(findobj(root,'Tag','TgtPwr-4'),'visible','off');
    set(findobj(root,'Tag','TgtPwr-5'),'visible','off');
    set(findobj(root,'Tag','TgtPwr-6'),'visible','off');
  case 3,
    set(findobj(root,'Tag','Tgt1-Txt'),'visible','on');
    set(findobj(root,'Tag','Tgt2-Txt'),'visible','on');
    set(findobj(root,'Tag','Tgt3-Txt'),'visible','on');
    set(findobj(root,'Tag','Tgt4-Txt'),'visible','off');
    set(findobj(root,'Tag','Tgt5-Txt'),'visible','off');
    set(findobj(root,'Tag','Tgt6-Txt'),'visible','off');
    set(findobj(root,'Tag','TgtType-1'),'visible','on');
    set(findobj(root,'Tag','TgtType-2'),'visible','on');
    set(findobj(root,'Tag','TgtType-3'),'visible','on');
    set(findobj(root,'Tag','TgtType-4'),'visible','off');
    set(findobj(root,'Tag','TgtType-5'),'visible','off');
    set(findobj(root,'Tag','TgtType-6'),'visible','off');
    set(findobj(root,'Tag','TgtVel-1'),'visible','on');
    set(findobj(root,'Tag','TgtVel-2'),'visible','on');
    set(findobj(root,'Tag','TgtVel-3'),'visible','on');
    set(findobj(root,'Tag','TgtVel-4'),'visible','off');
    set(findobj(root,'Tag','TgtVel-5'),'visible','off');
    set(findobj(root,'Tag','TgtVel-6'),'visible','off');
    set(findobj(root,'Tag','TgtPwr-1'),'visible','on');
    set(findobj(root,'Tag','TgtPwr-2'),'visible','on');
    set(findobj(root,'Tag','TgtPwr-3'),'visible','on');
    set(findobj(root,'Tag','TgtPwr-4'),'visible','off');
    set(findobj(root,'Tag','TgtPwr-5'),'visible','off');
    set(findobj(root,'Tag','TgtPwr-6'),'visible','off');
  case 4,
    set(findobj(root,'Tag','Tgt1-Txt'),'visible','on');
    set(findobj(root,'Tag','Tgt2-Txt'),'visible','on');
    set(findobj(root,'Tag','Tgt3-Txt'),'visible','on');
    set(findobj(root,'Tag','Tgt4-Txt'),'visible','on');
    set(findobj(root,'Tag','Tgt5-Txt'),'visible','off');
    set(findobj(root,'Tag','Tgt6-Txt'),'visible','off');
    set(findobj(root,'Tag','TgtType-1'),'visible','on');
    set(findobj(root,'Tag','TgtType-2'),'visible','on');
    set(findobj(root,'Tag','TgtType-3'),'visible','on');
    set(findobj(root,'Tag','TgtType-4'),'visible','on');
    set(findobj(root,'Tag','TgtType-5'),'visible','off');
    set(findobj(root,'Tag','TgtType-6'),'visible','off');
    set(findobj(root,'Tag','TgtVel-1'),'visible','on');
    set(findobj(root,'Tag','TgtVel-2'),'visible','on');
    set(findobj(root,'Tag','TgtVel-3'),'visible','on');
    set(findobj(root,'Tag','TgtVel-4'),'visible','on');
    set(findobj(root,'Tag','TgtVel-5'),'visible','off');
    set(findobj(root,'Tag','TgtVel-6'),'visible','off');
    set(findobj(root,'Tag','TgtPwr-1'),'visible','on');
    set(findobj(root,'Tag','TgtPwr-2'),'visible','on');
    set(findobj(root,'Tag','TgtPwr-3'),'visible','on');
    set(findobj(root,'Tag','TgtPwr-4'),'visible','on');
    set(findobj(root,'Tag','TgtPwr-5'),'visible','off');
    set(findobj(root,'Tag','TgtPwr-6'),'visible','off');
  case 5,
    set(findobj(root,'Tag','Tgt1-Txt'),'visible','on');
    set(findobj(root,'Tag','Tgt2-Txt'),'visible','on');
    set(findobj(root,'Tag','Tgt3-Txt'),'visible','on');
    set(findobj(root,'Tag','Tgt4-Txt'),'visible','on');
    set(findobj(root,'Tag','Tgt5-Txt'),'visible','on');
    set(findobj(root,'Tag','Tgt6-Txt'),'visible','off');
    set(findobj(root,'Tag','TgtType-1'),'visible','on');
    set(findobj(root,'Tag','TgtType-2'),'visible','on');
    set(findobj(root,'Tag','TgtType-3'),'visible','on');
    set(findobj(root,'Tag','TgtType-4'),'visible','on');
    set(findobj(root,'Tag','TgtType-5'),'visible','on');
    set(findobj(root,'Tag','TgtType-6'),'visible','off');
    set(findobj(root,'Tag','TgtVel-1'),'visible','on');
    set(findobj(root,'Tag','TgtVel-2'),'visible','on');
    set(findobj(root,'Tag','TgtVel-3'),'visible','on');
    set(findobj(root,'Tag','TgtVel-4'),'visible','on');
    set(findobj(root,'Tag','TgtVel-5'),'visible','on');
    set(findobj(root,'Tag','TgtVel-6'),'visible','off');
    set(findobj(root,'Tag','TgtPwr-1'),'visible','on');
    set(findobj(root,'Tag','TgtPwr-2'),'visible','on');
    set(findobj(root,'Tag','TgtPwr-3'),'visible','on');
    set(findobj(root,'Tag','TgtPwr-4'),'visible','on');
    set(findobj(root,'Tag','TgtPwr-5'),'visible','on');
    set(findobj(root,'Tag','TgtPwr-6'),'visible','off');
  case 6,
    set(findobj(root,'Tag','Tgt1-Txt'),'visible','on');
    set(findobj(root,'Tag','Tgt2-Txt'),'visible','on');
    set(findobj(root,'Tag','Tgt3-Txt'),'visible','on');
    set(findobj(root,'Tag','Tgt4-Txt'),'visible','on');
    set(findobj(root,'Tag','Tgt5-Txt'),'visible','on');
    set(findobj(root,'Tag','Tgt6-Txt'),'visible','on');
    set(findobj(root,'Tag','TgtType-1'),'visible','on');
    set(findobj(root,'Tag','TgtType-2'),'visible','on');
    set(findobj(root,'Tag','TgtType-3'),'visible','on');
    set(findobj(root,'Tag','TgtType-4'),'visible','on');
    set(findobj(root,'Tag','TgtType-5'),'visible','on');
    set(findobj(root,'Tag','TgtType-6'),'visible','on');
    set(findobj(root,'Tag','TgtVel-1'),'visible','on');
    set(findobj(root,'Tag','TgtVel-2'),'visible','on');
    set(findobj(root,'Tag','TgtVel-3'),'visible','on');
    set(findobj(root,'Tag','TgtVel-4'),'visible','on');
    set(findobj(root,'Tag','TgtVel-5'),'visible','on');
    set(findobj(root,'Tag','TgtVel-6'),'visible','on');
    set(findobj(root,'Tag','TgtPwr-1'),'visible','on');
    set(findobj(root,'Tag','TgtPwr-2'),'visible','on');
    set(findobj(root,'Tag','TgtPwr-3'),'visible','on');
    set(findobj(root,'Tag','TgtPwr-4'),'visible','on');
    set(findobj(root,'Tag','TgtPwr-5'),'visible','on');
    set(findobj(root,'Tag','TgtPwr-6'),'visible','on');
end
