%COA Short form of "close all".
%Close all figure windows except the windows from the GUWDAM program.

%
%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%  Start        : 970725 Svante Bjrklund (svabj).
%  Latest change: $Date: 2000/10/16 15:20:08 $ $Author: svabj $.
%  $Revision: 1.4 $
% *****************************************************************************

gcfigures = get(0, 'children');
for iifigure = gcfigures'
  userData = get(iifigure, 'UserData');
  if (ischar(userData) & strcmp(userData,'guwdam'))
    % Do not close these windows.
  else
    close(iifigure)
      % Close all figure windows except the windows from the GUWDAM program.
      % This code is copied from the callback for 'menu_quit' in the file 
      % "gucdam.m" and a small but important change is made (~).
  end%if
end%if
   
