%DBTREFGUIDE Opens the DBT reference guide on the screen.
%
%--------
%Synopsis:
%  dbtrefguide
%
%Description:
%  Opens the DBT reference guide on the screen.
%
%See Also:
%  dbthelp, dbtdata

%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
%  Start        : 981113 Svante Bjrklund (svabj).
%  Latest change: $Date: 2000/10/16 15:20:26 $ $Author: svabj $.
%  $Revision: 1.6 $
% *****************************************************************************

disp('Starting Acroread with DBT reference guide...')
compStr = computer;

if (strcmp(compStr,'SUN4') | strcmp(compStr,'SOL2') | strcmp(compStr,'HP700') | strcmp(compStr,'SGI') | strcmp(compStr,'SGI64') | strcmp(compStr,'IBM_RS') | strcmp(compStr,'ALPHA') | strcmp(compStr,'LNX86'))

  !acroread dbtrefguide.pdf &

elseif (strcmp(compStr,'PCWIN'))
  dbterror('Cannot start the reference guide on this platform.')
elseif (strcmp(compStr,'MAC2'))
  dbterror('Cannot start the reference guide on this platform.')
elseif (strcmp(compStr,'dummy'))
  dbterror('Cannot start the reference guide on this platform.')
else
  dbterror('Cannot start the reference guide on this platform.')
end%if
