function retmat = dmlfun(theta,Rhat,antenna,lambda)

%DMLFUN Auxiliary function for DML. Should not be called by the user.

%
%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%  Start        : 960924 Svante Bjrklund (svabj).
%  Latest change: $Date: 2000/10/16 15:20:38 $ $Author: svabj $.
%  $Revision: 1.10 $
% *****************************************************************************

%global antenna % If "antenna" is declared global, the input parameter "antenna" should be given a different name.

m = size(Rhat,1);
d = size(theta,1);
%lambda = antenna.lambda;
A = spastemat(antenna, theta', lambda);

[QQ,RR] = qr(A);
M  = QQ(:,(d+1):m)'*sqrtm(Rhat);

retmat = [real(M), imag(M)];


