function matputm(fName3fdfsge5, varValue, varName8g5jh98d4)

% *****************************************************************************
%		*** D A M ***
%  AIMT Digitala Gruppantenner Mtsystem
%	Frsvarets Forskningsanstalt
%
%  function matputm(filename, varValue, varName)
%
%  Puts a MATLAB variable to a MAT-file.
%  Ex:
%    >> c = [1 2 3]
%    >> matputm('data1',c,'d')
%
%  'varValue' is the new value of the variable.
%  'varName' must be given. This makes it also possible to change the value 
%   of an existing variable in the file.
%
%  Start        : 951122 svabj.
%  Senast ndrad: $Date: 1998/05/15 07:42:18 $ $Author: svabj $.
%  $Revision: 1.5 $
% *****************************************************************************

% The strange variable names "fName3fdfsge5" and "varName8g5jh98d4" are to avoid name confict with the value (a variable name) of input parameter "varValue".

ver = version;
if (ver(1) == '4')
  matfile('matputm',fName3fdfsge5,varValue, varName8g5jh98d4);
elseif (ver(1) == '5')
  eval([varName8g5jh98d4,'= varValue'])
  save(fName3fdfsge5,varName8g5jh98d4,'-V4','-APPEND')
else
  error('Unknown Matlab version.')
end%if

