function matwhos(filename)
% *****************************************************************************
%		*** D A M ***
%  AIMT Digitala Gruppantenner Mtsystem
%	Frsvarets Forskningsanstalt
%
%  function matwhos(filename)
%
%  Prints on the screen the names, sizes and types of Matlab variables in 
%  a MATLAB MAT-file. Matlab 5 version.
%
%  Start        : 960723 svabj.
%  Senast ndrad: $Date: 1998/05/15 07:34:28 $ $Author: svabj $.
%  $Revision: 1.1 $
% *****************************************************************************


S = whos('-file',filename);
noOfVar = length(S);
fprintf('\n%19s   Size(bytes) Type\n\n','Name')
for n = 1:noOfVar
	fprintf('%19s %10d    %-20s\n',S(n).name,S(n).bytes,S(n).class)
end

