function perrfun(Q)

% *****************************************************************************
%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
%  function  perrfun(Q)
%
%  Plots the error function (for PTMF).
%
%  Q	MatrixT	: The error function.

%
%  Start        : 951220 Svante Bjrklund (svabj).
%  Latest change: $Date: 2000/10/16 15:21:19 $ $Author: svabj $.
%  $Revision: 1.7 $
% *****************************************************************************

plot(10*log10(Q))
title('Q [dB]')
set(gcf,'NextPlot', 'new');
