%RADIOHELP Help file for computer programs using data from the AIMT experimental antenna.
%
%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
%The following functions for the end user are currently implemented:
%  simwidebandkernel :
%
%
%Examples of programs using the above functions:
%  wideex1: Test of direction-of-arrival estimation with conventional
%           beamforming and MUSIC using simulated wideband signals.
%  wideex2: Test of time delay between antenna elements using simulated
%           wideband signals.
%  wideex3: Monte Carlo simulations and statistical analysis with
%           simulated wideband signals.
%
%References:
%  [1]: Bjrklund S.: "DBT, A MATLAB Toolbox for Radar Signal Processing.
%    Reference Guide", FOA-D--9x-00xxx-408--SE, To be published.
%  [2]: Bjrklund S.:"A MATLAB Toolbox for Radar Signal Processing",
%    Proceedings of Nordic MATLAB Conference `97, Stockholm 27-28 October 1997.

%
%  Start        : 990206 Svante Bjrklund (svabj).
%  Latest change: $Date: 2000/10/16 15:39:33 $ $Author: svabj $.
%  $Revision: 1.4 $
% *****************************************************************************

help expanthelp.m
