function Mout = zerosm(size)

% RECVAR, A package for new data types in Matlab 4. 
% (c) FOA 1997. See the file rvright.m for copyright notice.
%
%  function Mout = zerosm(size)
%
%  To create an multimatrix. zerosm should always be used before using a 
%  multimatrix.
%
%  size		Row vector of sizes of the dimensions.
%
%  Ex)
%	A = zerosm([2 5 3 6])
%	% Creates a 4-dimensional array of size 2*5*3*6 elements.

%
%  Start        : 960930 Svante Bjrklund (svabj).
%  Latest change: $Date: 2000/10/13 19:53:49 $ $Author: svabj $.
%  $Revision: 1.1 $
% *****************************************************************************


Mout = setr([],'size',size);
Mout = setr(Mout, 'matrix', zeros(prod(size),1));
Mout = setr(Mout,'dataType','MM');
