function MMOut = reshapem(MMIn, newSize)

% RECVAR, A package for new data types in Matlab 4. 
% (c) FOA 1997. See the file rvright.m for copyright notice.
%
% function MMOut = reshapem(MMIn, newSize)
%
% Works like 'reshape' but for multimatrices. The new indices are in a row 
% vector 'newSize'. The first index is the "fastest loop" when shaping the new 
% multimatrix.
% Matlab 5 compatibility version.

%
% Start        : 970820 Svante Bjrklund (svabj).
% Latest change: $Date: 1998/07/12 15:35:46 $ $Author: svabj $.
% $Revision: 1.2 $
% *****************************************************************************

MMOut = reshape(MMIn, newSize);
