function xlim(x)
% *****************************************************************************
%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
%  function xlim(x)
%
%  Sets the x-axis scaling to x = [x0 x1], where x0 is min and x1 is max.
%
%  x		RealVectorT	x-axis scaling.

%
%  Start        : 961120 Fredrik Athley (freath).
%  Latest change: $Date: 2000/10/16 15:22:23 $ $Author: svabj $.
%  $Revision: 1.6 $
%
% *****************************************************************************

xmin(x(1));
xmax(x(2));
