function ymax(y0)
% *****************************************************************************
%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
%  function ymax(y0)
%
%  Sets the maximum on the y-axis to y0.
%
%  y0		RealScalarT	Maximum on the y-axis.

%
%  Start        : 961120 Fredrik Athley (freath).
%  Latest change: $Date: 2000/10/16 15:22:27 $ $Author: svabj $.
%  $Revision: 1.6 $
%
% *****************************************************************************

ylim = get(gca,'YLim');
if (ylim(1) < y0)
  set(gca,'Ylim',[ylim(1) y0])
end%if
