function ymin(y0)
% *****************************************************************************
%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
%  function ymin(y0)
%
%  Sets the minimum on the y-axis to y0.
%
%  y0		RealScalarT	Minimum on the y-axis.

%
%  Start        : 961120 Fredrik Athley (freath).
%  Latest change: $Date: 2000/10/16 15:22:28 $ $Author: svabj $.
%  $Revision: 1.6 $
%
% *****************************************************************************


ylim = get(gca,'YLim');
if (ylim(2) > y0)
  set(gca,'Ylim',[y0 ylim(2)])
end%if
