function M = matdir(filename)

% *****************************************************************************
%		*** D A M ***
%  AIMT Digitala Gruppantenner Mtsystem
%	Frsvarets Forskningsanstalt
%
%  function M = matdir(filename)
%
%  Returns a list with the names of the variables in a MATLAB MAT-file.
%  Ex:
%    >> matdir('data1.mat')
%
%  Start        : 951122 svabj.
%  Senast ndrad: $Date: 1998/05/15 07:42:16 $ $Author: svabj $.
%  $Revision: 1.4 $
% *****************************************************************************

ver = version;
if (ver(1) == '4')
  M = setstr(matfile('matdir',filename));
elseif (ver(1) == '5')
  S = who('-file',filename);
  M = char(S);
else
  error('Unknown Matlab version.')
end%if


