function outList = appendl(inList, data)

% RECVAR, A package for new data types in Matlab 4. 
% (c) FOA 1997. See the file rvright.m for copyright notice.
%
% function outList = appendl(inList, data)
%
% Appends an element last in the list. This function is slower than put1stl.
%
% inList  ListT
% data    Any Type



% Start        : 970820 Svante Bjrklund (svabj).
% Latest change: $Date: 1998/05/12 10:41:57 $ $Author: svabj $.
% $Revision: 2.2 $
% *****************************************************************************

if (islastl(inList))
  outList = put1stl(data,[]);
  outList = put1stl(get1stl(inList), outList);
else
  outList = put1stl(get1stl(inList),appendl(getrestl(inList), data));
end%if
