function outList = makelist(data1, data2, data3, data4, data5, data6, data7, data8, data9, data10)

% RECVAR, A package for new data types in Matlab 4. 
% (c) FOA 1997. See the file rvright.m for copyright notice.
%
% function outList = makelist(data1, data2, data3, data4, data5, data6)
%
% To create a list. 
%
% outList ListT
% data1, data2, data3, data4, data5, data6: Arbitrary type in Matlab 5,
%   allowed field type in record variable in Matlab 4 (see help recvar).

%
% Start        : 970819 Svante Bjrklund (svabj).
% Latest change: $Date: 1998/05/12 10:42:06 $ $Author: svabj $.
% $Revision: 2.3 $
% *****************************************************************************

outList = [];
if (nargin >= 10)
  outList = put1stl(data10,outList);
end
if (nargin >= 9)
  outList = put1stl(data9,outList);
end
if (nargin >= 8)
  outList = put1stl(data8,outList);
end
if (nargin >= 7)
  outList = put1stl(data7,outList);
end
if (nargin >= 6)
  outList = put1stl(data6,outList);
end
if (nargin >= 5)
  outList = put1stl(data5,outList);
end
if (nargin >= 4)
  outList = put1stl(data4,outList);
end
if (nargin >= 3)
  outList = put1stl(data3,outList);
end
if (nargin >= 2)
  outList = put1stl(data2,outList);
end

outList = put1stl(data1,outList);
