function B = existr(recordvar, fieldname)

% RECVAR, A package for new data types in Matlab 4. 
% (c) FOA 1997. See the file rvright.m for copyright notice.
%
%  function B = existr(recordvar, fieldname)
%
%  Returns true (1) if the specified field exists in the record variable, 
%  otherwise false (0).
%  
%  B          BoolT
%  recordvar  RecVarT
%  fieldname  StringT

%
%  Start        : 951221 Svante Bjrklund (svabj).
%  Latest change: $Date: 2000/10/13 19:53:29 $ $Author: svabj $.
%  $Revision: 1.1 $
% *****************************************************************************

B = matvar('existr', recordvar, fieldname);

%if (getr(recordvar, fieldname) == [])
%	B = 0;
%else
%	B = 1;
%end%if
