function B = ismulmat(variable)

% RECVAR, A package for new data types in Matlab 4. 
% (c) FOA 1997. See the file rvright.m for copyright notice.
%
%  function B = ismulmat(variable)
%
%  Returns 1 if the argument is a multimatrix and 0 otherwise.
%
%  B        BoolT
%  variable Any type

%
%  Start        : 961008 Svante Bjrklund (svabj).
%  Latest change: $Date: 2000/10/13 19:53:38 $ $Author: svabj $.
%  $Revision: 1.1 $
% *****************************************************************************

B = 0;
if (matvar('isrecvar', variable))
  if existr(variable,'dataType')
    if (strcmp(getr(variable,'dataType'),'MM'))
	B = 1;
    end
  end
end
