function M = recdir(recvar)

% RECVAR, A package for new data types in Matlab 4. 
% (c) FOA 1997. See the file rvright.m for copyright notice.
%
%  function M = recdir(recvar)
%
%  Returns a Matlab matrix with the names of all fields in a record variable.
%  The order of the fields is not defined.
%
%  M      StringVectorT
%  recvar RecVarT

%
%  Start        : 951221 Svante Bjrklund (svabj).
%  Latest change: $Date: 2000/10/13 19:53:42 $ $Author: svabj $.
%  $Revision: 1.1 $
% *****************************************************************************

M = setstr(matvar('recdir',recvar));
