function B = existr(recordvar, fieldname)

% RECVAR, A package for new data types in Matlab 4. 
% (c) FOA 1997. See the file rvright.m for copyright notice.
%
% function B = existr(recordvar, fieldname)
%
% Returns true (1) if the specified field exists in the record variable, 
% otherwise false (0).
% Matlab 5 compatibility version.
%  
% B		BoolT
% recordvar	RecVarT
% fieldname	StringT

%
%  Start        : 970820 Svante Bjrklund (svabj).
%  Latest change: $Date: 1997/08/20 13:36:08 $ $Author: svabj $.
%  $Revision: 1.1 $
% *****************************************************************************

%B = matvar('existr', recordvar, fieldname);
B = isfield(recordvar, fieldname);
