function M = getr(recordvar, fieldname)

% RECVAR, A package for new data types in Matlab 4. 
% (c) FOA 1997. See the file rvright.m for copyright notice.
%
% function M = getr(recordvar, fieldname)
%
% Gets the contents of a field in a record variable.
% Matlab 5 compatibility version.
% 
% recordvar	RecVarT
% fieldname	StringT


%  Start        : 970820 Svante Bjrklund (svabj).
%  Latest change: $Date: 1997/08/20 13:36:16 $ $Author: svabj $.
%  $Revision: 1.1 $
% *****************************************************************************

%M = matvar('getr', recordvar, fieldname);
M = getfield(recordvar, fieldname);

