function sizeOut = sizem(multiMatrix)

% RECVAR, A package for new data types in Matlab 4. 
% (c) FOA 1997. See the file rvright.m for copyright notice.
%
% function sizeOut = sizem(multiMatrix)
%
% Returns the sizes of the multidimensional matrix in a row vector.
% Matlab 5 compatibility version.

%
% Start        : 960930 Svante Bjrklund (svabj).
% Latest change: $Date: 1998/05/06 14:09:20 $ $Author: svabj $.
% $Revision: 1.2 $
% *****************************************************************************

sizeOut = [1 1 1 1 1 1];  % Six is the maximum number of indices in RECVAR.
sizeTmp = size(multiMatrix);
sizeOut(1:length(sizeTmp)) = sizeTmp;

