function Mout = zerosm(size)

% RECVAR, A package for new data types in Matlab 4. 
% (c) FOA 1997. See the file rvright.m for copyright notice.
%
% function Mout = zerosm(size)
%
% To create an multimatrix. zerosm should always be used before using a 
% multimatrix.
% Matlab 5 compatibility version.
%
% size		Row vector of sizes of the dimensions.
%
% Ex)
%	A = zerosm([2 5 3 6])
%	% Creates a 4-dimensional array of size 2*5*3*6 elements.


% Start        : 970820 Svante Bjrklund (svabj).
% Latest change: $Date: 1997/08/20 13:37:10 $ $Author: svabj $.
% $Revision: 1.1 $
% *****************************************************************************


%Mout = setr([],'size',size);
%Mout = setr(Mout, 'matrix', zeros(prod(size),1));
%Mout = setr(Mout,'dataType','MM');

Mout = zeros(size);
