function c0 = speedoflight

%SPEEDOFLIGHT returns the speed of light in empty space (299792458 m/s).
%
%--------
%Synopsis:
%  c0 = speedoflight
%
%Description:
%  Returns the speed of light in empty space (299792458 m/s).
%
%Output and Input:
%  c0 (ReaScalarT): speed of light in empty space (299792458 m/s).

%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
% Start        : xxxxxx Svante Bjrklund (svabj).
% Latest change: $Date: 2000/10/16 15:22:08 $ $Author: svabj $.
% $Revision: 1.2 $
% *****************************************************************************


c0 = 299792458;
