function xmax(x0)
% *****************************************************************************
%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
%  function xmax(x0)
%
%  Sets the maximum on the x-axis to x0.
%
%  x0		RealScalarT	Maximum on the x-axis.

%
%  Start        : 961120 Fredrik Athley (freath).
%  Latest change: $Date: 2000/10/16 15:22:24 $ $Author: svabj $.
%  $Revision: 1.7 $
%
%
% *****************************************************************************

xlim = get(gca,'XLim');
set(gca,'Xlim',[xlim(1) x0])
