function ylim(y)
% *****************************************************************************
%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
%  function ylim(x)
%
%  Sets the y-axis scaling to y = [y0 y1], where y0 is min and y1 is max.
%
%  y		RealVectorT	y-axis scaling.

%
%  Start        : 961120 Fredrik Athley (freath).
%  Latest change: $Date: 2000/10/16 15:22:27 $ $Author: svabj $.
%  $Revision: 1.6 $
%
% *****************************************************************************


ymin(y(1));
ymax(y(2));
