function zlim(z)
% *****************************************************************************
%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
%  function zlim(z)
%
%  Sets the z-axis scaling to z = [z0 z1], where z0 is min and z1 is max.
%
%  z		RealVectorT	z-axis scaling.

%
%  Start        : 961120 Fredrik Athley (freath).
%  Latest change: $Date: 2000/10/16 15:22:29 $ $Author: svabj $.
%  $Revision: 1.4 $
%
% *****************************************************************************

zmin(z(1));
zmax(z(2));
