function zmax(z0)
% *****************************************************************************
%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
%  function zmax(z0)
%
%  Sets the maximum value on the z-axis to z0.
%
%  z0		RealScalarT	Maximum on the z-axis.

%
%  Start        : 980706 Svante Bjrklund (svabj).
%  Latest change: $Date: 2000/10/16 15:22:30 $ $Author: svabj $.
%  $Revision: 1.4 $
%
%
% *****************************************************************************

zlim = get(gca,'ZLim');
set(gca,'Zlim',[zlim(1) z0])
