function zmin(z0)
% *****************************************************************************
%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
%  function zmin(z0)
%
%  Sets the minimum value on the z-axis to z0.
%
%  z0		RealScalarT	Minimum on the z-axis.

%
%  Start        : 961120 Fredrik Athley (freath).
%  Latest change: $Date: 2000/10/16 15:22:31 $ $Author: svabj $.
%  $Revision: 1.4 $
%
% *****************************************************************************
zlim = get(gca,'ZLim');
set(gca,'Zlim',[z0 zlim(2)])
